{ config, pkgs, ... }:
let
in {
  environment.systemPackages = with pkgs; [ arion ];
  virtualisation.arion = {
    backend = "podman-socket";
    projects = {
      cloud.settings = import ./docker/cloud.nix { inherit config pkgs; };
      authentik.settings =
        import ./docker/authentik.nix { inherit config pkgs; };
    };
  };
}
